Repository 32bit  Forum
Repository 64bit  Wiki

Compilare inkscape

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Compilare inkscape

Messaggioda gigyz » lun set 21, 2009 13:12

Qualcuno c'è riuscito ? non riesco a compilare ne la o.46 ne la 0.47pre2.
gigyz
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar ott 09, 2007 16:45

Re: Compilare inkscape

Messaggioda conraid » lun set 21, 2009 13:13

gigyz ha scritto:Qualcuno c'è riuscito ? non riesco a compilare ne la o.46 ne la 0.47pre2.


http://www.slackers.it/repository/inkscape/
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Compilare inkscape

Messaggioda gigyz » lun set 21, 2009 13:19

intendevo dire su architettura x86_64 no i686
gigyz
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar ott 09, 2007 16:45

Re: Compilare inkscape

Messaggioda conraid » lun set 21, 2009 13:26

gigyz ha scritto:intendevo dire su architettura x86_64 no i686


ma che errori ti da?
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Compilare inkscape

Messaggioda gigyz » lun set 21, 2009 13:30

Codice: Seleziona tutto
 
g++ -DHAVE_CONFIG_H -I. -I..   -I/usr/include/freetype2     -I/usr/include/freetype2   -I/usr/include/poppler   -I/usr/include/poppler/glib -I/usr/include/poppler -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DPOTRACE=\"potrace\" -pthread -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/atk-1.0 -I/usr/include/libxml2 -I/usr/include/gtkspell-2.0   -I../cxxtest    -Wall -Wformat-security -W -Wpointer-arith -Wcast-align -Wsign-compare -Woverloaded-virtual -Wswitch -D_FORTIFY_SOURCE=2 -Wno-unused-parameter -g -O2 -MT sp-object-repr.o -MD -MP -MF $depbase.Tpo -c -o sp-object-repr.o sp-object-repr.cpp &&\
   mv -f $depbase.Tpo $depbase.Po
In file included from /usr/include/libpng12/png.h:481,
                 from sp-image.cpp:44:
/usr/include/libpng12/pngconf.h:335: error: expected constructor, destructor, or type conversion before '.' token
/usr/include/libpng12/pngconf.h:336: error: '__dont__' does not name a type
In file included from ./ui/widget/scalar.h:21,
                 from ./ui/widget/scalar-unit.h:19,
                 from display/canvas-grid.h:23,
                 from sp-namedview.cpp:21:
./ui/widget/labelled.h:39: warning: type qualifiers ignored on function return type
./ui/widget/labelled.h:40: warning: type qualifiers ignored on function return type
make[2]: *** [sp-image.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from live_effects/effect.h:16,
                 from live_effects/lpeobject.h:13,
                 from sp-object-repr.cpp:72:
./2geom/path.h:74: warning: 'virtual Geom::Curve* Geom::Curve::reverse() const' was hidden
./2geom/path.h:319: warning:   by 'Geom::Curve* Geom::SVGEllipticalArc::reverse(double, double) const'
make[2]: Leaving directory `/home/gigyz/Downloads/inkscape-0.46/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/gigyz/Downloads/inkscape-0.46'
make: *** [all] Error 2


la 0.46, la 0.47pre2 è ancora peggio ne da una sfilza.
gigyz
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar ott 09, 2007 16:45

Re: Compilare inkscape

Messaggioda gigiobagiano » lun set 21, 2009 15:09

Sei sicuro di aver tutte le dipendenze richieste?
Codice: Seleziona tutto
gc
gsl
libsigc++
glibmm
cairomm
pangomm
gtkmm

una volta soddisfatte queste dipendenze, sono riuscito a compilare senza problemi su slackware64 ;)
Avatar utente
gigiobagiano
Linux 2.6
Linux 2.6
 
Messaggi: 501
Iscritto il: dom mar 11, 2007 12:58
Slackware: 11 - 13.1
Kernel: 2.6.35.6_tuxonice
Desktop: Openbox

Re: Compilare inkscape

Messaggioda gigyz » lun set 21, 2009 15:12

si ho installato tutto ho usato i pacchetti di ponce http://www2.arch.unipi.it:81/slackware6 ... ges/ponce/ mi da che mi ricompilo le lib
gigyz
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar ott 09, 2007 16:45

Re: Compilare inkscape

Messaggioda conraid » lun set 21, 2009 15:24

gigyz ha scritto:si ho installato tutto ho usato i pacchetti di ponce http://www2.arch.unipi.it:81/slackware6 ... ges/ponce/ mi da che mi ricompilo le lib


funziona regolarmente, l'ho compilato proprio adesso
più tardi lo metto online
naturalmente a 64bit
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Compilare inkscape

Messaggioda gigyz » lun set 21, 2009 21:05

conraid ha scritto:funziona regolarmente, l'ho compilato proprio adesso
più tardi lo metto online
naturalmente a 64bit

installato, grazie
gigyz
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar ott 09, 2007 16:45

Re: Compilare inkscape

Messaggioda boh » lun ott 19, 2009 10:35

conraid ha scritto:
gigyz ha scritto:Qualcuno c'è riuscito ? non riesco a compilare ne la o.46 ne la 0.47pre2.


http://www.slackers.it/repository/inkscape/


Scusa conraid questa versione la posso usare sulla 13 stable?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 945
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: Compilare inkscape

Messaggioda conraid » lun ott 19, 2009 10:40

boh ha scritto:
conraid ha scritto:
gigyz ha scritto:Qualcuno c'è riuscito ? non riesco a compilare ne la o.46 ne la 0.47pre2.


http://www.slackers.it/repository/inkscape/


Scusa conraid questa versione la posso usare sulla 13 stable?


è compilata sulla -current, prova, ora non ricordo cosa ci sia di diverso che viene "preso" da inkscape

tra l'altro a 32bit continua a darmi quel bug sul testo nelle versioni localizzate, a 64bit no, a questo punto immagino che sia un conflitto con qualcosa che ho installato
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Compilare inkscape

Messaggioda boh » ven ott 23, 2009 14:32

Conraid alla fine non ho usato il tuo pacchetto, perchè poco dopo è stato inserito qui nel repository di slacky.

Con il pacchetto qui di slacky ho un problema:
Codice: Seleziona tutto
alby@darkstar:~$ inkscape
inkscape: error while loading shared libraries: libgsl.so.0: cannot open shared object file: No such file or directory


Ho installato tutte le dipendenze richieste qua sul sito (incluse anche le dipendenze di dipendenze ovviamente). Nonostante questo ottengo questo errore.
Questi sono i pacchetti che ho installato prima di installare inkscape:
cairomm-1.8.2-i686-1as.txz
gc-7.1-i486-3sl.txz
gconf-2.26.2-i486-3as.txz
glibmm-2.18.2-i486-1as.txz
gnome-mime-data-2.18.0-x86-2as.txz
gnome-vfs-2.24.2-i486-1as.txz
gtkmm-2.14.5-i486-1as.txz
krb5-1.7-i486-2as.txz
libsigc++-2.2.4-i486-1as.txz
libwpg-0.1.3-i486-3as.txz
loudmouth-1.4.3-i486-2sl.txz
orbit2-2.14.17-i486-2as.txz
pangomm-2.14.1-i486-1as.txz


Dove cerco per quella libreria mancante?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 945
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: Compilare inkscape

Messaggioda conraid » ven ott 23, 2009 14:32

Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: Compilare inkscape

Messaggioda boh » ven ott 23, 2009 14:57

Perfetto! Ora funziona correttamente!
Avevo cercato male.
Grazie :D

Quella dipendenza comunque non è segnalata, la devo segnalare in pkgreports?
"Be yourself. Everyone else is already taken." ~ Oscar Wilde
Avatar utente
boh
Linux 2.6
Linux 2.6
 
Messaggi: 945
Iscritto il: gio set 15, 2005 23:00
Località: Milano
Slackware: 14.1 (x64)
Kernel: 3.10.17
Desktop: KDE 4.10.5

Re: Compilare inkscape

Messaggioda conraid » ven ott 23, 2009 15:13

no, l'aggiungo io, ma la prossima volta guarda sempre lo slack-required, nei pacchetti slacky c'è ed a volte può servire anche se a me non piace :-)
http://repository.slacky.eu/slackware-1 ... k-required
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11994
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite